package com.rnsocial;


import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.ReadableMap;
import com.rnsocial.SocialConfig;
import com.umeng.socialize.bean.SHARE_MEDIA;

/**
 * Created by ZYWu on 2017/10/26.
 */

public class ReactSocialModule extends ReactContextBaseJavaModule {

    private final static String REACT_NAME = "ReactSocial";
    public static ReactApplicationContext context ;

    private static String qqName = "com.tencent.mqq";
    private static String wechatName = "com.tencent.mm";
    private static String sinaName = "com.sina.weibo";
    private static String aliName = "com.eg.android.AlipayGphone";



    public ReactSocialModule(ReactApplicationContext reactContext) {
        super(reactContext);
    }

    @Override
    public String getName() {
        return REACT_NAME;
    }

    @ReactMethod
    public void isInstall(final int media, final Callback callback){
        String type = null;
        switch (media) {
            case 4:
                type = qqName;
                break;
            case 1:
                type =wechatName;
                break;
            case 7:
                type =aliName;
                break;
            case 0:
                type =sinaName;

                break;
        }
        SocialConfig.isInstall(type);
        callback.invoke(SocialConfig.isInstall(type));
    }



}
