package com.rnsocial.login;

import com.facebook.react.bridge.WritableMap;
import com.facebook.react.bridge.WritableNativeMap;

/**
 * User : yh
 * Date : 17/6/7
 */

public class LoginResultDo {

    private String errorMessage;
    private boolean success;
    private String result;

    public LoginResultDo(boolean success,String result,String err){
        this.success = success;
        this.result = result;
        this.errorMessage = err;
    }

    public WritableMap toWritableMap(){
        WritableMap cal = new WritableNativeMap();
        cal.putBoolean("success",success);
        cal.putString("result",result);
        cal.putString("errorMessage",errorMessage);
        return cal;
    }
}
