package com.rnsocial.pay;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;

import com.rnsocial.SocialConfig;
import com.rnsocial.pay.channel.WechatPay;
import com.tencent.mm.opensdk.modelbase.BaseReq;
import com.tencent.mm.opensdk.modelbase.BaseResp;
import com.tencent.mm.opensdk.openapi.IWXAPI;
import com.tencent.mm.opensdk.openapi.IWXAPIEventHandler;
import com.tencent.mm.opensdk.openapi.WXAPIFactory;

/**
 * User : yh
 * Date : 17/5/10
 */

public class BaseWXPayEntryActivity extends Activity implements IWXAPIEventHandler{
    private IWXAPI api;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        api = WXAPIFactory.createWXAPI(this, SocialConfig.getWechatId());
        api.handleIntent(getIntent(),this);
    }

    @Override
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        setIntent(intent);
        api.handleIntent(intent, this);
    }

    @Override
    public void onReq(BaseReq baseReq) {

    }
    //  -1	错误	可能的原因：签名错误、未注册APPID、项目设置APPID不正确、注册的APPID与设置的不匹配、其他异常等。

    @Override
    public void onResp(BaseResp baseResp) {
        if(baseResp.errCode == 0){
            PayManager.getInstance().payResultCallBack(true,null,null);
        }else{
            PayManager.getInstance().payResultCallBack(false,"pay.error","支付失败");
        }
        this.finish();
    }

}
