package com.rnsocial.pay.emums;

/**
 * User : yehao
 * Date : 16/3/7
 * Email : yh@terminus.io
 */
public enum PayChannel {
    ALIPAY_APP("1", "支付宝app支付"),
    WECHATPAY_APP("2", "微信app支付"),
    UNIONPAY_APP("3", "银联支付"),
    MOCKPAY_APP("mockpay-app","模拟app支付"),
    QQPAY_APP("4","qq钱包支付");


    private String code;

    public String getCode() {
        return code;
    }

    private String description;

    public String getDescription() {
        return  description;
    }

    PayChannel(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public static PayChannel from(String channel) {
        for (PayChannel ch : PayChannel.values()) {
            if (ch.code.equals(channel)) {
                return ch;
            }
        }
        return null;
    }
}
