#import <Foundation/Foundation.h>


typedef NS_ENUM(NSUInteger,RNLoginChannel) {
    RNLoginChannelQQ = 1,
    RNLoginChannelWechat = 2,
    RNLoginChannelAlipay = 3,
};
typedef void (^ThirdLoginResult)(BOOL success,NSObject *obj,NSString *error);

@interface RNLoginManager : NSObject
+ (id)shareInstance;
-(void)initWechatLogin:(NSString*)appId;
-(void)initQQLogin:(NSString*)appId;
-(void)initAlipayLogin:(NSString*)appId scheme:(NSString*)scheme;
-(void) login:(id)data
    result:(void (^)(BOOL success,NSObject *obj,NSString *error)) block;

- (BOOL)handleQQLoginUrl:(NSURL *) url;
- (BOOL)handleWechatLoginUrl:(NSURL *) url;
- (BOOL)handleAlipayLoginUrl:(NSURL *) url;

@end
